Subject: Re: success 2.4.0-test8 with latest bk

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 13 Sep 2000 14:45:16 +0200

>Usually this means that some function/data is marked __init while it
must not.
>Quick verification: #undef __init / #define __init etc.
>
>Just wondering: wouldn't it be possible to write some tool to find such bugs?

Yup, we could probably, instead of freeing the __init section, mark it
unaccessible with the MMU. This would put us in xmon as soon as we try to
access one of these. I'm not sure if this can be done without disabling
the BAT mapping of the kernel, however. Well, of course, that would be a
DEBUG option, not a feature of the "standard" kernel.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/